Update to add RDS support for TLS 1.1 and TLS 1.2 in Windows 7 or Windows Server 2008 R2

About this update

This update provides support for Transport Layer Security (TLS) 1.1 and TLS 1.2 in Windows 7 Service Pack 1 (SP1) or Windows Server 2008 R2 SP1 for Remote Desktop Services (RDS).

For more information about how to enable or disable TLS, see the TLS/SSL Settings.

How to get this update

Important If you install a language pack after you install this update, you must reinstall this update. Therefore, we recommend that you install any language packs that you need before you install this update. For more information, see Add language packs to Windows.

Method 1: Windows Update

This update is provided as an Optional update on Windows Update. For more information on how to run Windows Update, see How to get an update through Windows Update.

Method 2: Microsoft Download Center

The following files are available for download from the Microsoft Download Center:

Operating systemUpdate
All supported x86-based versions of Windows 7Download Download the package now.
All supported x64-based versions of Windows 7Download Download the package now.
All supported x64-based versions of Windows Server 2008 R2Download Download the package now.
All supported IA-based versions of Windows Server 2008 R2Download Download the package now.
For more information about how to download Microsoft support files, select the following article number to view the article in the Microsoft Knowledge Base:
119591 How to get Microsoft support files from online services
Microsoft scanned this file for viruses. Microsoft used the most current virus-detection software that was available on the date that the file was posted. The file is stored on security-enhanced servers that help prevent any unauthorized changes to the file.


Update detail information

Prerequisites

To install this update, install Service Pack 1 for Windows 7 or Windows Server 2008 R2.

Registry information

To apply this update, you don't have to make any changes to the registry.

Restart requirement

You may have to restart the computer after you apply this update.

Update replacement information

This update doesn't replace a previously released update.
File information ERROR: PhantomJS timeout occurred